package httpserver;
import java.io.IOException;
import java.net.InetSocketAddress;
import java.util.concurrent.Executors;
import com.sun.net.httpserver.HttpServer;

public class HttpServerDemo {
    public static void main(String[] args) throws IOException {
        // Create an HttpServer and bind it to port 8888
        int port = 8888;
        InetSocketAddress addr = new InetSocketAddress(port);
        HttpServer server = HttpServer.create(addr, 0);
        
        // Create an HttpContext with the /header path, 
        // and a handler of type MyHandler
        server.createContext("/header", new MyHandler());
        // Sets an Executor that will handler all HTTP requests
        server.setExecutor(Executors.newCachedThreadPool());
        // Start the server
        server.start();
        System.out.println("Server is listening on port " + port);
    }
}